Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-56429

Investigate Java compatibility in installers

    Details

    • Similar Issues:
    • Epic Link:

      Description

      There is a number of installer update tickets in the EPIC, but we really need to understand what really needs to be updated. It this task I am about checking the installers shipped by the Jenkins community only. 

       

      https://issues.jenkins-ci.org/browse/JENKINS-55988
      https://issues.jenkins-ci.org/browse/JENKINS-55989
      https://issues.jenkins-ci.org/browse/JENKINS-55990
      https://issues.jenkins-ci.org/browse/JENKINS-55991
      https://issues.jenkins-ci.org/browse/JENKINS-55992

       

        Attachments

          Activity

          Hide
          oleg_nenashev Oleg Nenashev added a comment - - edited

          Production

          • Windows installer needs an update, there is already a task for it in the CJD scope
          • RPM-based builds to not check Java 11 alternatives in default paths
          • There are some outdated user-facing message entries in Windows installer and Debian specs. Java 9 references, Java 8 requirements. I have polished it during the review
          •  MacOS installers are fine, except docs

          Test Automation

          • Some installer tests use distfork, and hence they won’t work wit Jenkins 2.165+. Something to keep in mind for the future
          Show
          oleg_nenashev Oleg Nenashev added a comment - - edited Production Windows installer needs an update, there is already a task for it in the CJD scope RPM-based builds to not check Java 11 alternatives in default paths There are some outdated user-facing message entries in Windows installer and Debian specs. Java 9 references, Java 8 requirements. I have polished it during the review  MacOS installers are fine, except docs Test Automation CentOS and Suse tests run with JDK 8  https://github.com/jenkinsci/packaging/blob/master/installtests/centos.sh#L15  , we might want to add Java 11 tests Some installer tests use distfork, and hence they won’t work wit Jenkins 2.165+. Something to keep in mind for the future

            People

            • Assignee:
              oleg_nenashev Oleg Nenashev
              Reporter:
              oleg_nenashev Oleg Nenashev
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: